Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515338 - grub2-probe sends messages to stderr about LVM disks being unfound
Summary: grub2-probe sends messages to stderr about LVM disks being unfound
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grub2
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 7.6
Assignee: Peter Jones
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1501236
TreeView+ depends on / blocked
 
Reported: 2017-11-20 15:54 UTC by Ryan Barry
Modified: 2018-11-02 02:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1561258 None CLOSED grub2-mkconfig on node produce incorrect grub2.cfg if a local VG is present 2019-01-24 10:35:55 UTC

Internal Links: 1561258

Description Ryan Barry 2017-11-20 15:54:40 UTC
Description of problem:
On a system with LVM thinpools, grub2 sends misleading messages to stderr about not being able to find volumes.

However, the configuration file is generated successfully

Version-Release number of selected component (if applicable):
grub2-2.02-0.64.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install RHVH (or RHEL on LVM thinpools with snapshots)
2. grub2-mkconfig
3.

Actual results:
Messages such as:
/usr/sbin/grub2-probe: error: disk `lvmid/LtygRu-Xsn7-UwAz-90Nd-ccIe-RNBl-bS9HhL/yBqS15-XJXO-5buv-pxPc-W1AR-a816-QPkmN9' not found.

Are output to stderr (this is a PV)

Expected results:
These results are squashed, since they have no functional impact.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.